package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcAqg;
import com.ruoyi.tcZz.domain.TcWldv;

/**
 * 网络大VService接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcWldvService 
{
    /**
     * 查询网络大V
     * 
     * @param id 网络大V主键
     * @return 网络大V
     */
    public TcWldv selectTcWldvById(Long id);

    /**
     * 查询网络大V列表
     * 
     * @param tcWldv 网络大V
     * @return 网络大V集合
     */
    public List<TcWldv> selectTcWldvList(TcWldv tcWldv);

    /**
     * 新增网络大V
     * 
     * @param tcWldv 网络大V
     * @return 结果
     */
    public int insertTcWldv(TcWldv tcWldv);

    /**
     * 修改网络大V
     * 
     * @param tcWldv 网络大V
     * @return 结果
     */
    public int updateTcWldv(TcWldv tcWldv);

    /**
     * 批量删除网络大V
     * 
     * @param ids 需要删除的网络大V主键集合
     * @return 结果
     */
    public int deleteTcWldvByIds(Long[] ids);

    /**
     * 删除网络大V信息
     * 
     * @param id 网络大V主键
     * @return 结果
     */
    public int deleteTcWldvById(Long id);


    /**
     * 导入网络安全官信息
     *
     * @return 结果
     */
    public String importUser(List<TcWldv> tcWldvList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
